Skip to main content
GET
/
v4
/
revenue
/
revenues
Get revenues
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v4/revenue/revenues \
  --header 'Authorization: Bearer <token>'
[
  {
    "type": "BUSINESS",
    "amount": 50.01,
    "businessId": 123,
    "status": "ACTIVE",
    "id": 123,
    "date": "2021-01-04",
    "businessName": "<string>",
    "clientId": 123,
    "plaidInstitutionId": "<string>",
    "plaidDisplayName": "<string>",
    "plaidAccountNo": "<string>",
    "plaidItemAccountId": 123,
    "plaidDescription": "<string>",
    "apiName": "GOOGLELOGIN",
    "apiPaymentId": "<string>",
    "invoiceId": 123,
    "pendingRevenueId": 123,
    "state": "DC",
    "currencyType": "USD",
    "salesTaxAmount": 1.01,
    "description": "Gas purchase",
    "lastUpdatedDate": "2021-01-04",
    "business": {
      "id": "<string>",
      "companyId": "<string>",
      "companyIdLong": 123,
      "customerPartnerId": 123,
      "name": "<string>",
      "showName": true,
      "contactFirst": "<string>",
      "contactLast": "<string>",
      "showContactFirstLast": true,
      "email": "<string>",
      "showEmail": true,
      "phoneWork": "<string>",
      "showPhoneWork": true,
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zip": "<string>",
      "showAddress": true,
      "tin": "<string>",
      "invoicePrefix": "<string>",
      "plaidApiEntityIds": "<string>",
      "status": "ACTIVE",
      "apiName": "GOOGLELOGIN",
      "apiClientId": "<string>",
      "bizType": "ADVISOR_COACH",
      "labelId": 123,
      "createdDate": "2023-11-07T05:31:56Z",
      "idPrefix": "COMPANY",
      "nameColumnNameForPagination": "<string>",
      "externalId": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

lastUpdatedDate
string

Date filter (YYYY-MM-DD) - returns all records updated after the specified date. Null returns all data

year
integer<int32>

Year filter (YYYY) - returns all records for the specified year. Null will use the current year

Response

200 - application/json

Successful operation

type
enum<string>
required

Type of the RevenueEntry

Available options:
BUSINESS,
NOT_BUSINESS,
BUSINESS,
NOT_BUSINESS
Example:

"BUSINESS"

amount
number
required

Amount of the RevenueEntry

Example:

50.01

businessId
integer<int64>
required

Id of business assigned to this RevenueEntry

status
enum<string>
required

Status of the RevenueEntry

Available options:
ACTIVE,
DELETED,
INVOICE_PAYMENT,
BANK_RECONCILED,
REMOVED,
ACTIVE,
DELETED,
INVOICE_PAYMENT,
BANK_RECONCILED,
REMOVED
Example:

"ACTIVE"

id
integer<int64>

Id of the RevenueEntry, required when updating existing RevenueEntry

date
string<date>

Date of the RevenueEntry

Example:

"2021-01-04"

businessName
string

Name of this business assigned to this RevenueEntry

clientId
integer<int64>

Id of client assigned to this RevenueEntry

plaidInstitutionId
string

The id of the institution that the transaction originated from

plaidDisplayName
string

Plaid's display name for the vendor associated with this RevenueEntry

plaidAccountNo
string

The mask of the user's bank account

plaidItemAccountId
integer<int64>

Id of the bank account that this transaction originated from

plaidDescription
string

Plaid's description for this RevenueEntry

apiName
enum<string>

Name of the API that this transaction originated from

Available options:
GOOGLELOGIN,
LINKEDINLOGIN,
DROPBOX,
BOX,
SKYDRIVE,
CLOVER,
STRIPE,
GOOGLESTORAGE,
GOOGLECONTACTS,
GOOGLEEMAIL,
LINKEDINCONTACTS,
PLAID,
KNOX,
UBER,
FACEBOOKLOGIN,
FRESHBOOKS,
HARVEST,
KW,
FRESHBOOKS2,
CAPITAL_ONE,
SQUARE,
S3,
DOTLOOP,
XERO_DEPRECATED,
REALOGY,
UPWORK,
SHOPIFY,
DEDUCTR,
ENTERPRISE,
MOXIWORKS,
STRIPE_EXPRESS,
APPLELOGIN,
APPDIRECT,
LONEWOLF,
USER_IMPORTED,
LONEWOLF_TRANSACTIONDESK,
SAMPLE_BANK,
TAXBOT,
THIRD_PARTY_BANK,
GUSTO,
THIRD_PARTY_PAYMENTS,
XERO,
UNIT,
USER_ENTRY,
MOOV,
QBO,
COLUMN,
QUALPAY,
BENCH,
PARTNER_IMPLEMENTATION,
CHECK,
RUTTER,
WAVE,
ADYEN,
APRIL
apiPaymentId
string

Id of the payment record on associated API

invoiceId
integer<int64>

Invoice id associated with this RevenueEntry

pendingRevenueId
integer<int64>

Id of the associated PendingRevenue

state
enum<string>

State value for RevenueEntry sales tax amount

Available options:
UNKNOWN,
AL,
AK,
AS,
AZ,
AR,
CA,
CO,
CT,
DE,
DC,
FM,
FL,
GA,
GU,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MH,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
MP,
OH,
OK,
OR,
PW,
PA,
PR,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VI,
VA,
WA,
WV,
WI,
WY,
AB,
BC,
MB,
NB,
NL,
NT,
NS,
NU,
ON,
PE,
QC,
SK,
YT
Example:

"DC"

currencyType
enum<string>

Type of currency on this RevenueEntry

Available options:
USD,
CAD,
EUR,
GBP,
JPY
salesTaxAmount
number

Sales Tax Amount for the RevenueEntry

Example:

1.01

description
string

Description of RevenueEntry

Example:

"Gas purchase"

lastUpdatedDate
string<date>

lastUpdateDate of the RevenueEntry

Example:

"2021-01-04"

business
object